;-----------------------------------------------------------------------------------
;Syntax Highlighting in most editor is ridiculously difficult. Here we make it easy
;Using SynAnySyn we have 7 things that can be used:-
;
;	String  sdSingleQuote or sdDoubleQuote
;	Number  a Number
;	Symbol  like + - * / etc
;	Comment Pick a comment style ie csAsmStyle,csPasStyle,csCStyle
;	Identifier			like all your variables
;	Constant				you define these in the list below
;	Keyword					you define these in the list below
;
;Really, that should give you enough to use to colour highlight your code in a
;meaningful way
;-----------------------------------------------------------------------------------
;-----------------------------------------------------------------------------------
;Code folding in most editors is ridicously difficult. SynEdit gives you a
;Fold Selected facility that will work half decently. I would only say that
;in 40 years of coding I have never folded a line. If you want better then
;look somewhere else
;-----------------------------------------------------------------------------------


<Language name="Pascal">

	<CodeTree>
		procedure
		function
	</CodeTree>

	<StringDelimiter>
		sdSingleQuote
	</StringDelimiter>
	<CommentStyle>
		csPasStyle
	</StringDelimiter>

	<Attributes>
		<ForegroundColours>
			String=clFuchsia
			Number=clYellow
			Symbol=clWhite
			Comment=clGray
			Identifier=clLime
			Constant=clRed
			Keyword=clAqua
		</ForegroundColours>
		<Styles>
			Keyword=fsBold
		</Styles>
	</Attributes>

	<Constants>
		IF
		THEN
		ELSE
		END
		EXIT
		AND
		OR
		CASE
		OF
		TRUE
		FALSE
	</Constants>

	<Keywords>
		UNIT
		INTERFACE
		USES
		TYPE
		CLASS
		VAR
		STRING
		CHAR
		ARRAY
		INTEGER
		INT64
		WORD
		BYTE
		TEXTFILE
		BOOLEAN
		PROCEDURE
		BEGIN
		END
		READLN
		WHILE
		FOR
		DO
		INC
		DEC
		ASSIGNFILE
		RESET
		CLOSEFILE
		REWRITE
		WRITELN
		NOT
		REPEAT
	</Keywords>
</Language>



